Package org.eclipse.jdt.launching.sourcelookup

## Class JavaProjectSourceLocation

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.jdt.launching.sourcelookup.JavaProjectSourceLocation

All Implemented Interfaces:
  `IAdaptable`, `IJavaSourceLocation`

    @Deprecated
    public class JavaProjectSourceLocation
    extends PlatformObject
    implements IJavaSourceLocation

Deprecated.
In 3.0, the debug platform provides source lookup facilities that should be used in place of the Java source lookup support provided in 2.0. The new facilities provide a source lookup director that coordinates source lookup among a set of participants, searching a set of source containers. See the following packages: `org.eclipse.debug.core.sourcelookup` and `org.eclipse.debug.core.sourcelookup.containers`. This class has been replaced by `org.eclipse.jdt.launching.sourcelookup.containers.JavaProjectSourceContainer`.
Locates source elements in all source folders of the given Java project. Returns instances of `ICompilationUnit` and `IClassFile`.

This class may be instantiated.

Since:
  2.0
See Also:
  `IJavaSourceLocation`
Restriction:
  This class is not intended to be sub-classed by clients.

### Constructor Summary

Constructors
`JavaProjectSourceLocation()` Deprecated. Constructs a new empty source location to be initialized by a memento.
`JavaProjectSourceLocation​(IJavaProject project)` Deprecated. Constructs a new source location that will retrieve source elements from the given Java project.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `equals​(Object object)` Deprecated.
`Object` `findSourceElement​(String name)` Deprecated. Returns an object representing the source code for a type with the specified name, or `null` if none could be found.
`IJavaProject` `getJavaProject()` Deprecated. Returns the Java project associated with this source location.
`String` `getMemento()` Deprecated. Returns a memento for this source location from which this source location can be reconstructed.
`int` `hashCode()` Deprecated.
`void` `initializeFrom​(String memento)` Deprecated. Initializes this source location from the given memento.

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### JavaProjectSourceLocation

    public JavaProjectSourceLocation()

Deprecated.
Constructs a new empty source location to be initialized by a memento.

#### JavaProjectSourceLocation

    public JavaProjectSourceLocation​(IJavaProject project)

Deprecated.
Constructs a new source location that will retrieve source elements from the given Java project.

Parameters:
  `project` - Java project

### Method Detail

#### findSourceElement

    public Object findSourceElement​(String name)
                             throws CoreException

Deprecated.
Description copied from interface: `IJavaSourceLocation`
Returns an object representing the source code for a type with the specified name, or `null` if none could be found. The name is a fully qualified type name, and may contain the '$' character when referring to inner types. For example, `java.lang.String`. The source element returned is implementation specific - for example, a resource, a local file, a zip file entry, etc.

Specified by:
  `findSourceElement` in interface `IJavaSourceLocation`
Parameters:
  `name` - fully qualified name of the type for which source is being searched for
Returns:
  source element
Throws:
  `CoreException` - if an exception occurs while searching for the specified source element

#### getJavaProject

    public IJavaProject getJavaProject()

Deprecated.
Returns the Java project associated with this source location.

Returns:
  Java project

#### equals

    public boolean equals​(Object object)

Deprecated.

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Deprecated.

Overrides:
  `hashCode` in class `Object`

#### getMemento

    public String getMemento()
                      throws CoreException

Deprecated.
Description copied from interface: `IJavaSourceLocation`
Returns a memento for this source location from which this source location can be reconstructed.

Specified by:
  `getMemento` in interface `IJavaSourceLocation`
Returns:
  a memento for this source location
Throws:
  `CoreException` - if unable to create a memento

#### initializeFrom

    public void initializeFrom​(String memento)
                        throws CoreException

Deprecated.
Description copied from interface: `IJavaSourceLocation`
Initializes this source location from the given memento.

Specified by:
  `initializeFrom` in interface `IJavaSourceLocation`
Parameters:
  `memento` - a memento generated by this source location
Throws:
  `CoreException` - if unable to initialize this source location